Thread (6 messages) 6 messages, 2 authors, 2017-03-01

Re: [PATCH] gitweb tests: Skip tests when we don't have Time::HiRes

From: Jakub Narębski <hidden>
Date: 2017-02-27 17:50:09

W dniu 27.02.2017 o 13:37, Ævar Arnfjörð Bjarmason pisze:
Change the gitweb tests to skip when we can't load the Time::HiRes
module.
Could you tell us in the commit message why this module is needed?
Is it because gitweb loads it unconditionally, or does that at least
in the default configuration, or is it used in tests, or...?

[I see it is somewhat addressed below]
This module has bee in perl core since v5.8, which is the oldest
s/bee/been/
version we support, however CentOS (and perhaps some other
distributions) carve it into its own non-core-perl package that's not
installed along with /usr/bin/perl by default. Without this we'll hard
fail the gitweb tests when trying to load the module.
I see that it because gitweb.perl as the following at line 20:

	use Time::HiRes qw(gettimeofday tv_interval);
Signed-off-by: Ævar Arnfjörð Bjarmason <redacted>
Good catch (if a strange one...).
quoted hunk ↗ jump to hunk
---
 t/gitweb-lib.sh | 5 +++++
 1 file changed, 5 insertions(+)
diff --git a/t/gitweb-lib.sh b/t/gitweb-lib.sh
index d5dab5a94f..116c3890e6 100644
--- a/t/gitweb-lib.sh
+++ b/t/gitweb-lib.sh
@@ -114,4 +114,9 @@ perl -MCGI -MCGI::Util -MCGI::Carp -e 0 >/dev/null 2>&1 || {
 	test_done
 }
 
+perl -mTime::HiRes -e 0  >/dev/null 2>&1 || {
+	skip_all='skipping gitweb tests, Time::HiRes module unusable'
Is "unusable" a good description, instead of "not found"?
+	test_done
+}
+
 gitweb_init
  
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help